Package com.usatiuk.utils

# Class ListUtils

java.lang.Object
com.usatiuk.utils.ListUtils

public class ListUtils extends Object

## Constructor Summary

Constructors
Constructor
Description
`ListUtils()`

## Method Summary

Modifier and Type
Method
Description
`static <T, T_V> List<T_V>`
`map(List<T> suffix, Function<T,T_V> suffixFn)`
`static <T> List<T>`
`prepend(T item, List<T> suffix)`
`static <T, T_V> List<T_V>`
`prependAndMap(T_V item, List<T> suffix, Function<T,T_V> suffixFn)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ListUtils

public ListUtils()

## Method Details

### prependAndMap

public static <T, T_V> List<T_V> prependAndMap(T_V item, List<T> suffix, Function<T,T_V> suffixFn)

### prepend

public static <T> List<T> prepend(T item, List<T> suffix)

### map

public static <T, T_V> List<T_V> map(List<T> suffix, Function<T,T_V> suffixFn)